strings.h File Reference

Implementation details that hard-code strings appropriate for each dimension. More...

## Classes

struct | regina::detail::Strings< dim_ >
| Contains a collection of compile-time constant strings that describe features of the dimension dim. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.
| regina::detail
| Contains implementation details and common functionality for Regina's dimension-agnostic classes.

## Detailed Description

Implementation details that hard-code strings appropriate for each dimension.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).